Bug 894372 (CVE-2012-6107)

Summary: CVE-2012-6107 axis2c: Does not verify that the server hostname matches a domain name in the subject's CN or subjectAltName field of the x.509 certificate
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: gholms
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:59:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 894373    
Bug Blocks:    

Description Jan Lieskovsky 2013-01-11 15:29:23 UTC
Apache Axis2/C does not verify that the server hostname matches a domain name in the subject's Common Name (CN) or subjectAltName field of the X.509 certificate, which allows man-in-the-middle attackers to spoof SSL servers via an arbitrary valid certificate.

Upstream bug report:
[1] https://issues.apache.org/jira/browse/AXIS2C-1619

References:
[2] http://www.cs.utexas.edu/~shmat/shmat_ccs12.pdf
[3] http://www.openwall.com/lists/oss-security/2013/01/11/4
[4] http://mail-archives.apache.org/mod_mbox/axis-c-dev/201301.mbox/browser
[5] http://www.openwall.com/lists/oss-security/2013/01/11/8

Comment 1 Jan Lieskovsky 2013-01-11 15:30:36 UTC
This issue affects the version of the axis2c package, as shipped with Fedora release of 17. Please schedule an update (once there is final upstream patch available).

Comment 2 Jan Lieskovsky 2013-01-11 15:32:09 UTC
Created axis2c tracking bugs for this issue

Affects: fedora-17 [bug 894373]

Comment 3 Product Security DevOps Team 2019-06-10 10:59:55 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.